# 1.2.1 Pro & Contra von Open Source

## Vorteile von Open Source Software

* Keine Lizenzkosten
* Geringe Abhängigkeit vom Anbieter
* Individuelle Erweiterungen und Anpassungen möglich
* ...

## Nachteile von Open Source Software

* schwieriger Wartungsverträge zu erhalten
* in der Regel höherer Einarbeitungs- und Pflegeaufwand
* oft nur englische Oberfläche vorhanden
* ...

## Diskussion

* Wie wirken sich die Vor- und Nachteile bei einem Bibliotheksprojekt aus?
* Unter welchen Voraussetzungen (und in welchem Kontext) lohnt es sich, in welchem vielleicht eher nicht?

Bei der Beantwortung dieser Fragen spielen zwei Punkte eine herausgehobene Rolle:
1. Die strategische Entwicklung der Bibliothek: Der Einsatz von Open-Source-Software verlangt die dauerhafte Widmung von Ressourcen, entweder für Dienstleister oder für eigenes IT-Personal. Nur dann zahlt sich die Anpassbarkeit der Software wirklich aus.
2. Die Bedeutung von Open Source Communities: Für wichtige Dienste sollte nur Software eingesetzt werden, die von einer lebendigen Community aus Interessierten und Nutzenden weiterentwickelt wird. So ist gewährleistet, dass Sicherheitsupdates erhältlich sind und Entwicklungsaufwände ggf. unter den Nutzenden geteilt werden können.

Beispiele für Bibliotheken, die ihren Programmcode öffentlich teilen, hat die Arbeitsgruppe code4lib aus den USA zusammengetragen: http://wiki.code4lib.org/Libraries_Sharing_Code

## Literatur

* Bodem, Claudia & Blenkle, Martin (2014): Mission Possible? Erfahrungen & Empfehlungen zur Einführung von Discovery-Systemen. Präsentation auf dem 103. Deutschen Bibliothekartag in Bremen 2014. [urn:nbn:de:0290-opus-16205](http://nbn-resolving.de/urn/resolver.pl?urn:nbn:de:0290-opus-16205)
* Maaß, Phillip (2016): Free/Libre/Open-Source Software in wissenschaftlichen Bibliotheken in Deutschland. Eine explorative Studie in Form einer Triangulation qualitativer und quantitativer Methoden. Zugl. Masterthesis im Fach Bibliotheks- und Informationswissenschaft. Vorgelegt am 
25.02.2016 an der Technischen Hochschule Köln, Fakultät Informations- und Kommunikationswissenschaften am Institut für 
Informationswissenschaft. http://hdl.handle.net/10760/29324
* Pott, Brigitte (21.2.2005): Open Source Software – Pro und Contra. Zugleich in: Hobohm, Hans-Christoph & Umlauf, Konrad (Hrsg.): Erfolgreiches Management von Bibliotheken und Informationseinrichtungen, Hamburg: Dashöfer 2011 (Abschnitt 9.3.2). http://www.dasbibliothekswissen.de/Open-Source-Software-%E2%80%93-Pro-und-Contra.htm
