# Prüfungsleistungen

Es stehen mehrere Formen zur Auswahl:

## Öffentliches Lerntagebuch

* Jeweils ein Blogartikel (mindestens halbe A4-Seite) zu jedem Praxisteil
* Persönliche Erfahrungen schildern: Wie war das persönliche Vorgehen (Abweichungen vom Skript)? Wo gab es Schwierigkeiten? Was waren die Aha-Effekte?
* Dazu ein Einführungsartikel (wo bin ich gestartet?) und ein Abschlussartikel (was habe ich (nicht) gelernt?)
* Wichtigstes Bewertungskriterium: Begründete kritische Auseinandersetzung mit den Praxisteilen. Persönliche Stellungnahme ist ausdrücklich erwünscht.
* Plattform: Als Teil des Skripts bei GitBook oder auf einer beliebigen Blogplattform nach eigener Wahl
* Ziel: Öffentliches Lerntagebuch als Anreiz a) für andere SeminarteilnehmerInnen sich über Lernerfolge auszutauschen und b) für andere Studierende (auch außerhalb der Hochschule) sich mit dem Skript im Selbststudium zu beschäftigen.

## Referat

* Vertiefte Auseinandersetzung mit einem Thema
* Eingrenzung des Themas in Abstimmung mit dem Dozent
* Referat einzeln oder in der Gruppe
* Ziel und wichtigstes Bewertungskriterium: Den anderen SeminarteilnehmerInnen mit dem Referat einen Überblick zum gewählten Thema geben und sich selbst tiefere Kenntnisse aneignen, um für Nachfragen bereitzustehen.
* Mindestens 10 Minuten je Person, maximal 30 Minuten je Referat
* Ausarbeitung: Präsentationsfolien oder Skript in E-Learning-Plattform einstellen
* Im Laufe des Seminars für Nachfragen anderer Studierender bereitstehen (also quasi als Tutor/in für ein Spezialthema).

Mögliche Themen:
1. Metadatenformate
2. Initiativen zum Austausch von Metadaten
3. Aggregatoren (BASE, CrossRef)
4. Relevanzranking
5. Literaturverwaltung (in Bezug auf Kataloge)

## Projekt

* Weiterentwicklung der virtuellen Maschine
* Eingrenzung der Weiterentwicklung in Abstimmung mit dem Dozent
* Einzel- oder 2er-Arbeit
* Mögliche Punkte sind: Anpassung des Relevanzrankings (mit Beispielsuchen), Nutzerorientiertes Design der Katalogoberfläche, Auswahl und Prozessierung weiterer Daten (z.B. Open Access Artikel), Programmierung einer Zusatzfunktion (z.B. Export in Literaturverwaltungssysteme)
* Abgabe der weiterentwickelten virtuellen Maschine als "Appliance" (Export aus VirtualBox)
* Schriftliche Herleitung und Begründung (etwa 1 A4-Seite) der Weiterentwicklung
* Triviale Anpassungen reichen nicht aus
